﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            using (Model1Container m = new Model1Container())
            {
                System.Diagnostics.Debug.Write(m.CreateDatabaseScript());
                if (m.DatabaseExists())
                    m.DeleteDatabase();
                m.CreateDatabase();
                m.SaveChanges();
            }

            using (Model1Container m = new Model1Container())
            {
                decimal value = 10.5M;
                Console.WriteLine("Writing the value {0} in database.", value);
                Entity1 e1 = new Entity1() { Value = value };
                m.AddToEntity1Set(e1);
                m.SaveChanges();
            }
            
            using (Model1Container m = new Model1Container())
            {
                decimal value = m.Entity1Set.First().Value;
                Console.WriteLine("Reading \"{0}\" in database.", value);
                m.SaveChanges();
            }
            Console.ReadKey();
        }
    }
}
